Cài đặt ứng dụng của chúng tôi 🪄 nhấp vào biểu tượng ở góc trên bên phải của thanh địa chỉ.

Mã QR

GET https://digily.link/api/qr-codes/
curl --request GET \
--url 'https://digily.link/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Tham số Chi tiết Mô tả
search Tùy chọn Chuỗi Chuỗi tìm kiếm.
search_by Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: name.
project_id Tùy chọn Số nguyên
type Tùy chọn Chuỗi Bạn đang tìm kiếm theo trường nào. Các giá trị được phép là: text , url , phone , sms , email , whatsapp , facetime , location , wifi , event , vcard , crypto , paypal , upi , epc , pix.
order_by Tùy chọn Chuỗi Trường nào để sắp xếp kết quả theo. Các giá trị được cho phép là: qr_code_id , datetime , last_datetime , name , type.
order_type Tùy chọn Chuỗi Thứ tự của các kết quả. Các giá trị được phép là: ASC cho thứ tự tăng dần, và DESC cho thứ tự giảm dần.
page Tùy chọn Số nguyên Số trang mà bạn muốn lấy kết quả từ đó. Mặc định là 1.
results_per_page Tùy chọn Số nguyên Bạn muốn bao nhiêu kết quả trên mỗi trang. Các giá trị được phép là: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Mặc định là 25.
{
    "data": [
        {
            "id": 1,
            "type": "url",
            "name": "Example name",
            "qr_code": "https://digily.link/uploads/qr_code/example.svg",
            "qr_code_logo": null,
            "qr_code_background": null,
            "settings": {
                "foreground_type": "color",
                "foreground_color": "#000000",
                "background_color": "#ffffff",
                "custom_eyes_color": false,
                "qr_code_logo_size": 25,
                "size": 500,
                "margin": 0,
                "ecc": "L",
                "url": "https://example.com"
                ...
            },
            "embedded_data": "https://example.com",
            "last_datetime": null,
            "datetime": "2026-03-20 23:20:42",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://digily.link/api/qr-codes?page=1",
        "last": "https://digily.link/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://digily.link/api/qr-codes?page=1"
    }
}
GET https://digily.link/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "url",
        "name": "Example name",
        "qr_code": "https://digily.link/uploads/qr_code/example.svg",
        "qr_code_logo": null,
        "qr_code_background": null,
        "settings": {
            "foreground_type": "color",
            "foreground_color": "#000000",
            "background_color": "#ffffff",
            "custom_eyes_color": false,
            "qr_code_logo_size": 25,
            "size": 500,
            "margin": 0,
            "ecc": "L",
            "url": "https://example.com"
            ...
        },
        "embedded_data": "https://example.com",
        "last_datetime": null,
        "datetime": "2026-03-20 23:20:42",
    }
}
POST https://digily.link/api/qr-codes
Tham số Chi tiết Mô tả
project_id Tùy chọn Số nguyên -
name Bắt buộc Chuỗi -
type Bắt buộc Chuỗi Giá trị được phép: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk Tùy chọn Boolean Có sẵn khi: type = text
style Tùy chọn Chuỗi
inner_eye_style Tùy chọn Chuỗi Giá trị được phép: square, dot, rounded, diamond, flower, leaf
outer_eye_style Tùy chọn Chuỗi Giá trị được phép: square, circle, rounded, flower, leaf
foreground_type Tùy chọn Chuỗi Giá trị được phép: color, gradient
foreground_color Tùy chọn Chuỗi Có sẵn khi: foreground_type = color
foreground_gradient_style Tùy chọn Chuỗi Giá trị được phép: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Tùy chọn Chuỗi Có sẵn khi: foreground_type = gradient
foreground_gradient_two Tùy chọn Chuỗi Có sẵn khi: foreground_type = gradient
background_color Tùy chọn Chuỗi
background_color_transparency Tùy chọn Số nguyên
custom_eyes_color Tùy chọn Boolean
eyes_inner_color Tùy chọn Chuỗi Có sẵn khi: custom_eyes_color = 1
eyes_outer_color Tùy chọn Chuỗi Có sẵn khi: custom_eyes_color = 1
qr_code_logo Tùy chọn Tệp -
qr_code_logo_size Tùy chọn Số nguyên 5-35
qr_code_background Tùy chọn Tệp -
qr_code_background_transparency Tùy chọn Số nguyên 0-100
qr_code_foreground Tùy chọn Tệp -
qr_code_foreground_transparency Tùy chọn Số nguyên 0-100
frame Tùy chọn Chuỗi Giá trị được phép: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Tùy chọn Chuỗi
frame_text_size Tùy chọn Số nguyên -5 - 5
frame_text_font Tùy chọn Chuỗi Giá trị được phép: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Tùy chọn Boolean
frame_color Tùy chọn Chuỗi Có sẵn khi: frame_custom_colors = 1
frame_text_color Tùy chọn Chuỗi Có sẵn khi: frame_custom_colors = 1
size Tùy chọn Số nguyên 50-2000
margin Tùy chọn Số nguyên 0-25
ecc Tùy chọn Chuỗi Giá trị được phép: L, M, Q, H
text Tùy chọn Chuỗi Có sẵn khi: type = text
url Tùy chọn Chuỗi Có sẵn khi: type = url
phone Tùy chọn Chuỗi Có sẵn khi: type = phone
sms Tùy chọn Chuỗi Có sẵn khi: type = sms
sms_body Tùy chọn Chuỗi Có sẵn khi: type = sms
email Tùy chọn Chuỗi Có sẵn khi: type = email
whatsapp Tùy chọn Chuỗi Có sẵn khi: type = whatsapp
whatsapp_body Tùy chọn Chuỗi Có sẵn khi: type = whatsapp
facetime Tùy chọn Chuỗi Có sẵn khi: type = facetime
location
location_latitude Tùy chọn Nổi Có sẵn khi: type = location
location_longitude Tùy chọn Nổi Có sẵn khi: type = location
wifi
wifi_ssid Tùy chọn Chuỗi Có sẵn khi: type = wifi
wifi_encryption Tùy chọn Chuỗi Giá trị được phép: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Tùy chọn Chuỗi Có sẵn khi: type = wifi
wifi_is_hidden Tùy chọn Boolean Có sẵn khi: type = wifi
event Tùy chọn Chuỗi Có sẵn khi: type = event
event_location Tùy chọn Chuỗi Có sẵn khi: type = event
event_url Tùy chọn Chuỗi Có sẵn khi: type = event
event_note Tùy chọn Chuỗi Có sẵn khi: type = event
event_timezone Tùy chọn Chuỗi Có sẵn khi: type = event
event_start_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_end_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_first_alert_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_second_alert_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
crypto
crypto_coin Tùy chọn Chuỗi Có sẵn khi: type = crypto
crypto_address Tùy chọn Chuỗi Có sẵn khi: type = crypto
crypto_amount Tùy chọn Chuỗi Có sẵn khi: type = crypto
vcard
vcard_first_name Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_last_name Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_company Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_phone_number_label[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_phone_number_value[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_email Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_url Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_job_title Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_birthday Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_street Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_city Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_zip Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_region Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_country Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_note Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_social_label[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_social_value[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
paypal
paypal_type Tùy chọn Chuỗi Giá trị được phép: buy_now, add_to_cart, donation (type=paypal)
paypal_email Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_title Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_currency Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_price Tùy chọn Nổi Có sẵn khi: type = paypal
paypal_thank_you_url Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_cancel_url Tùy chọn Chuỗi Có sẵn khi: type = paypal
upi
upi_payee_id Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_payee_name Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_currency Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_amount Tùy chọn Nổi Có sẵn khi: type = upi
upi_transaction_id Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_transaction_note Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_transaction_reference Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_thank_you_url Tùy chọn Chuỗi Có sẵn khi: type = upi
epc
epc_iban Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_payee_name Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_currency Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_amount Tùy chọn Nổi Có sẵn khi: type = epc
epc_bic Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_remittance_reference Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_remittance_text Tùy chọn Chuỗi Có sẵn khi: type = epc
information Tùy chọn Chuỗi Có sẵn khi: type = epc
pix
pix_payee_key Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_payee_name Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_currency Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_amount Tùy chọn Nổi Có sẵn khi: type = pix
pix_city Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_transaction_id Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_description Tùy chọn Chuỗi Có sẵn khi: type = pix
Tham số Chi tiết Mô tả
curl --request POST \
--url 'https://digily.link/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1
    }
}
POST https://digily.link/api/qr-codes/{qr_code_id}
Tham số Chi tiết Mô tả
project_id Tùy chọn Chuỗi -
name Tùy chọn Chuỗi -
type Tùy chọn Chuỗi Giá trị được phép: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
style Tùy chọn Chuỗi Giá trị được phép: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style Tùy chọn Chuỗi Giá trị được phép: square, dot, rounded, diamond, flower, leaf
outer_eye_style Tùy chọn Chuỗi Giá trị được phép: square, circle, rounded, flower, leaf
foreground_type Tùy chọn Chuỗi Giá trị được phép: color, gradient
foreground_color Tùy chọn Chuỗi Có sẵn khi: foreground_type = color
foreground_gradient_style Tùy chọn Chuỗi Giá trị được phép: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one Tùy chọn Chuỗi Có sẵn khi: foreground_type = gradient
foreground_gradient_two Tùy chọn Chuỗi Có sẵn khi: foreground_type = gradient
background_color Tùy chọn Chuỗi
background_color_transparency Tùy chọn Số nguyên 0 - 100
custom_eyes_color Tùy chọn Boolean
eyes_inner_color Tùy chọn Chuỗi Có sẵn khi: custom_eyes_color = 1
eyes_outer_color Tùy chọn Chuỗi Có sẵn khi: custom_eyes_color = 1
qr_code_logo Tùy chọn Tệp -
qr_code_logo_size Tùy chọn Số nguyên 5-35
qr_code_background Tùy chọn Tệp -
qr_code_background_transparency Tùy chọn Số nguyên 0-100
qr_code_foreground Tùy chọn Tệp -
qr_code_foreground_transparency Tùy chọn Số nguyên 0-100
frame Tùy chọn Chuỗi Giá trị được phép: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text Tùy chọn Chuỗi
frame_text_size Tùy chọn Số nguyên -5 -> 5
frame_text_font Tùy chọn Chuỗi Giá trị được phép: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors Tùy chọn Boolean
frame_color Tùy chọn Chuỗi Có sẵn khi: frame_custom_colors = 1
frame_text_color Tùy chọn Chuỗi Có sẵn khi: frame_custom_colors = 1
size Tùy chọn Số nguyên 50-2000
margin Tùy chọn Số nguyên 0-25
ecc Tùy chọn Chuỗi Giá trị được phép: L, M, Q, H
text Tùy chọn Chuỗi Có sẵn khi: type = text
url Tùy chọn Chuỗi Có sẵn khi: type = url
phone Tùy chọn Chuỗi Có sẵn khi: type = phone
sms Tùy chọn Chuỗi Có sẵn khi: type = sms
sms_body Tùy chọn Chuỗi Có sẵn khi: type = sms
email Tùy chọn Chuỗi Có sẵn khi: type = email
whatsapp Tùy chọn Chuỗi Có sẵn khi: type = whatsapp
whatsapp_body Tùy chọn Chuỗi Có sẵn khi: type = whatsapp
facetime Tùy chọn Chuỗi Có sẵn khi: type = facetime
location
location_latitude Tùy chọn Nổi Có sẵn khi: type = location
location_longitude Tùy chọn Nổi Có sẵn khi: type = location
wifi
wifi_ssid Tùy chọn Chuỗi Có sẵn khi: type = wifi
wifi_encryption Tùy chọn Chuỗi Giá trị được phép: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password Tùy chọn Chuỗi Có sẵn khi: type = wifi
wifi_is_hidden Tùy chọn Boolean Có sẵn khi: type = wifi
event Tùy chọn Chuỗi Có sẵn khi: type = event
event_location Tùy chọn Chuỗi Có sẵn khi: type = event
event_url Tùy chọn Chuỗi Có sẵn khi: type = event
event_note Tùy chọn Chuỗi Có sẵn khi: type = event
event_timezone Tùy chọn Chuỗi Có sẵn khi: type = event
event_start_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_end_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_first_alert_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
event_second_alert_datetime Tùy chọn Chuỗi Có sẵn khi: type = event
crypto
crypto_coin Tùy chọn Chuỗi Có sẵn khi: type = crypto
crypto_address Tùy chọn Chuỗi Có sẵn khi: type = crypto
crypto_amount Tùy chọn Chuỗi Có sẵn khi: type = crypto
vcard
vcard_first_name Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_last_name Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_company Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_phone_number_label[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_phone_number_value[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_email Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_url Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_job_title Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_birthday Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_street Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_city Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_zip Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_region Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_country Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_note Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_social_label[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
vcard_social_value[index] Tùy chọn Chuỗi Có sẵn khi: type = vcard
paypal
paypal_type Tùy chọn Chuỗi Giá trị được phép: buy_now, add_to_cart, donation (type=paypal)
paypal_email Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_title Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_currency Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_price Tùy chọn Nổi Có sẵn khi: type = paypal
paypal_thank_you_url Tùy chọn Chuỗi Có sẵn khi: type = paypal
paypal_cancel_url Tùy chọn Chuỗi Có sẵn khi: type = paypal
upi
upi_payee_id Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_payee_name Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_currency Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_amount Tùy chọn Nổi Có sẵn khi: type = upi
upi_transaction_id Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_transaction_note Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_transaction_reference Tùy chọn Chuỗi Có sẵn khi: type = upi
upi_thank_you_url Tùy chọn Chuỗi Có sẵn khi: type = upi
epc
epc_iban Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_payee_name Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_currency Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_amount Tùy chọn Nổi Có sẵn khi: type = epc
epc_bic Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_remittance_reference Tùy chọn Chuỗi Có sẵn khi: type = epc
epc_remittance_text Tùy chọn Chuỗi Có sẵn khi: type = epc
information Tùy chọn Chuỗi Có sẵn khi: type = epc
pix
pix_payee_key Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_payee_name Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_currency Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_amount Tùy chọn Nổi Có sẵn khi: type = pix
pix_city Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_transaction_id Tùy chọn Chuỗi Có sẵn khi: type = pix
pix_description Tùy chọn Chuỗi Có sẵn khi: type = pix
curl --request POST \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1
    }
}
DELETE https://digily.link/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://digily.link/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \